Skip to main content
POST
/
preview
/
retail-media
/
line-items
/
{line-item-id}
/
product-buttons
/
create
/preview/retail-media/line-items/{line-item-id}/product-buttons/create
curl --request POST \
  --url https://api.criteo.com/preview/retail-media/line-items/{line-item-id}/product-buttons/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [
    {
      "id": "<string>",
      "type": "<string>"
    }
  ]
}
'
{
  "data": [
    {
      "attributes": {
        "backgroundImage": "<string>",
        "isMandatory": 123,
        "name": "<string>",
        "rank": 123,
        "skus": [
          "<string>"
        ]
      },
      "id": "<string>",
      "type": "<string>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

line-item-id
string
required

LineItemId for productButton retrieval

Body

application/json

List of Product Buttons to append

A top-level object that encapsulates a Criteo API request for several entities

data
(object | null)[]

A class that represents a domain entity exposed by an API

Response

200 - application/json
object | null

ProductButtons added

A top-level object that encapsulates a Criteo API response for several entities

data
(object | null)[] | null

A class that represents a domain entity exposed by an API

errors
object[] | null
read-only
warnings
object[] | null
read-only